# Boost Exception

## boost/exception_ptr.hpp

### Synopsis

    #include <boost/exception/exception.hpp>

    namespace
    boost
        {
        class
        unknown_exception:
            public std::exception
            public boost::exception
            {
            ---unspecified---
            };

        typedef error_info<struct tag_original_exception_type,std::type_info const *> original_exception_type;

        typedef ---unspecified--- exception_ptr;

        template <class T>
        exception_ptr copy_exception( T const & e );

        exception_ptr current_exception();

        void rethrow_exception( exception_ptr const & ep );
        }

See also: boost/exception/all.hpp | copy_exception | current_exception | diagnostic_information | exception_ptr | original_exception_type | rethrow_exception | Synopsis | unknown_exception